Create Webhook Endpoint
post /webhook_endpoints
Creates a webhook endpoint for the authenticated project.
Body Parameters
-
event_types: array of "batch.completed" or "batch.failed" or "batch.expired" or 15 moreThe event types that trigger deliveries to this endpoint.
-
"batch.completed" -
"batch.failed" -
"batch.expired" -
"batch.cancelled" -
"response.completed" -
"response.failed" -
"response.cancelled" -
"response.incomplete" -
"eval.run.succeeded" -
"eval.run.failed" -
"eval.run.canceled" -
"fine_tuning.job.succeeded" -
"fine_tuning.job.failed" -
"fine_tuning.job.cancelled" -
"realtime.call.incoming" -
"video.completed" -
"video.failed" -
"safety.alert.created"
-
-
name: stringA human-readable name for the webhook endpoint.
-
url: stringThe HTTPS URL that receives webhook deliveries.
Returns
-
WebhookEndpointWithSecret object { id, created_at, event_types, 6 more }-
id: stringThe unique ID of the webhook endpoint.
-
created_at: numberThe Unix timestamp when the endpoint was created.
-
event_types: array of stringThe event types that trigger deliveries to this endpoint.
-
name: stringThe human-readable name of the endpoint.
-
object: "webhook_endpoint"The object type, which is always webhook_endpoint.
"webhook_endpoint"
-
signing_secret: stringThe endpoint's signing secret. This is returned only when the endpoint is created or the secret is rotated.
-
signing_secret_hint: string or nullA masked hint for the endpoint's signing secret.
-
url: stringThe HTTPS URL that receives webhook deliveries.
-
updated_at: optional numberThe Unix timestamp of the last endpoint configuration or signing-secret change. Initialized at creation; tests and unchanged updates do not advance it.
-
Example
curl https://api.openai.com/v1/webhook_endpoints \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $OPENAI_API_KEY" \
-d '{
"event_types": [
"batch.completed"
],
"name": "x",
"url": "https://"
}'
Response
{
"id": "id",
"created_at": 0,
"event_types": [
"string"
],
"name": "name",
"object": "webhook_endpoint",
"signing_secret": "signing_secret",
"signing_secret_hint": "signing_secret_hint",
"url": "url",
"updated_at": 0
}